SLUDGE ENGINE(1)

NAME
sludge-engine - runtime engine for SLUDGE games

SYNOPSIS

sludge-engine [-f | --fullscreen | -w | --window] [{-l | --language=} number] [{-a | --antialias=} {-1 | 0 | 1}] [{-d | --debug=} {0 | 1}] gamefile

sludge-engine [-h | --help]

DESCRIPTION

This manual page documents briefly the sludge-engine command.

This manual page was written for the Debian distribution because the original program does not have a manual page. Instead, it has documentation in the html format; see below.

sludge-engine is a runtime engine needed to play SLUDGE games.

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-f, --fullscreen
    Set display mode to fullscreen.

-w, --window
    Set display mode to windowed.

-l number, --language=number
    Set language to number (>=0).

-a number, --antialias=number
    Turn antialiasing on (1) or off (0) or choose linear interpolation (-1).

-d number, --debug=number
    Turn debug mode on (1) or off (0).

-h, --help
    Print help message.

KEYBOARD SHORTCUTS

Keyboard shortcuts allow changing some options at any time.

Alt+Enter
    Toggle between fullscreen and windowed mode.

Alt+A
    Toggle antialiasing on or off.

FILES

${HOME}/.sludge-engine/
    Games store their configurations in subdirectories of this directory.

BUGS

Please report bugs in the SLUDGE forum at http://opensludge.sourceforge.net.

SEE ALSO

The full SLUDGE documentation is included in the package sludge-doc. It is installed to /usr/share/doc/sludge/SLUDGE_Help.html.

AUTHOR

Tobias Hansen <tobias.han@gmx.de>
    Wrote this manpage for the Debian system.

COPYRIGHT
Copyright © 2011 Tobias Hansen

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL-3.